Bug 839931 - Review Request: ANT17 - necessary version for build of openjdk7 in rhel5 when update of ANT is not possible
Review Request: ANT17 - necessary version for build of openjdk7 in rhel5 when...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jon VanAlten
Depends On:
Blocks: 188273
  Show dependency treegraph
Reported: 2012-07-13 04:53 EDT by jiri vanek
Modified: 2015-07-13 00:43 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-07-17 04:43:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Comment 1 jiri vanek 2012-07-13 05:39:08 EDT
Some more info:
Update ant to 1.7 or provide package ant7 for rhel5.x
Comment 2 David Cantrell 2012-07-13 08:08:39 EDT
All good from the installer side of things, no changes needed in anaconda.
Comment 4 Jon VanAlten 2012-07-17 01:45:28 EDT
From a package review point of view, this looks mostly-good.  There's a couple nits I'll point out, minor cleanup really.

There are two defines:
   %define name16 ant
   %define name_legacy ant
Do we really need for these to be separate?  What is the meaning of "legacy" vs "16".  Can we get away with just one of these?  It looks to me like both are used, but pretty much as synonyms.

The summary:
   Summary:        %{name17} build tool for java in version 1.7
   Summary(it):    Tool per la compilazione di programmi java
   Summary(fr):    Outil de compilation pour java
Seems redundant to include the name in the summary, and the wording seems awkward.  Can I suggest:
   "Build tool for Java supporting version 1.7"
(for bonus points, it might be nice to mention 1.7 in the translated versions too)

Please take care of these tiny things before building the package.  Otherwise, good to go.
Comment 5 jiri vanek 2012-07-17 04:41:46 EDT
Thank you. Considering as approved then.

Before  push I will fix summary (and remove translations then) and make an cleanup.

name16 versus  name_legacy - they are then same just by coincidence, and is more then possible that name16  will be changed. Strictly said - they are pointing to completely different product.

Thank you very much for review.

Note You need to log in before you can comment on or make changes to this bug.